- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# dict – returns key/value pair items from dictionaries

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Takes dictionaries as input and returns a list with each item in the list being a dictionary with ‘key’ and ‘value’ as keys to the previous dictionary’s structure.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
_terms - / required |  |  | A list of dictionaries

## Examples

    vars:
      users:
        alice:
          name: Alice Appleworth
          telephone: 123-456-7890
        bob:
          name: Bob Bananarama
          telephone: 987-654-3210
    tasks:
      # with predefined vars
      - name: Print phone records
        debug:
          msg: "User {{ item.key }} is {{ item.value.name }} ({{ item.value.telephone }})"
        loop: "{{ lookup('dict', users) }}"
      # with inline dictionary
      - name: show dictionary
        debug:
          msg: "{{item.key}}: {{item.value}}"
        with_dict: {a: 1, b: 2, c: 3}
      # Items from loop can be used in when: statements
      - name: set_fact when alice in key
        set_fact:
          alice_exists: true
        loop: "{{ lookup('dict', users) }}"
        when: "'alice' in item.key"

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_list list |  | list of composed dictonaries with key and value

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]
- This lookup is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.